mscorlib 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.SafeHandle A utility base class for developers to use.

This class is a utility base class that can be used by developers.

This can be used by developers when the -1 or zero represent an invalid handle. This is merely a helper class.

- Constructor
  Whether the handle is owned by the class; If so, it will call the virtual ReleaseHandle method at Finalization time.
  To be added.
  If is set to true, the handle will be disposed at finalization time.
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.MayFail)
  2.0.0.0
  4.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 2.0.0.0 4.0.0.0